using System.Collections.Generic;
using ReactiveUI;

namespace Ocarina2.Models;

public class Artist:ReactiveObject
{
    private MusicFile? _selected;
    public string Name { get; }
    public List<MusicFile> Songs { get; }
    public MusicFile? Selected
    {
        get => _selected;
        set => this.RaiseAndSetIfChanged(ref _selected, value);
    }

    public Artist(string name)
    {
        Name = name.Trim();
        Songs = new List<MusicFile>();
    }
}